ufraw (0.22-3.1ubuntu0.1) bionic; urgency=medium

  * Check for null pointers before destroying. (LP: #1768855) Thanks to
    Helmut Grohe and Lauro Moura.

 -- Brian Murray <brian@ubuntu.com>  Fri, 10 Apr 2020 11:27:42 -0700

ufraw (0.22-3.1~build0.18.04.1) bionic-security; urgency=medium

  * fake sync from Debian

 -- Mike Salvatore <mike.salvatore@canonical.com>  Thu, 13 Dec 2018 12:41:24 -0500

ufraw (0.22-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * stack-based buffer overflow bug (CVE-2018-19655) (Closes: #890086)

 -- Salvatore Bonaccorso <carnil@debian.org>  Sun, 02 Dec 2018 10:55:01 +0100

ufraw (0.22-3) unstable; urgency=medium

  * Remove gconf dependency again. (Closes: #892707)

 -- Hubert Chathi <uhoreg@debian.org>  Wed, 21 Mar 2018 14:13:29 -0400

ufraw (0.22-2) unstable; urgency=medium

  * Add patch to fix compilation with GCC 7. (Closes: #853692)

 -- Hubert Chathi <uhoreg@debian.org>  Fri, 20 Oct 2017 21:22:20 -0400

ufraw (0.22-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Add patch to fix signedness of src[]. (Closes: #856227).

 -- John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>  Mon, 27 Feb 2017 14:31:26 +0100

ufraw (0.22-1) unstable; urgency=low

  * New upstream release (Closes: #803673).
  * debian/*: modernize packaging (thanks tobi)
    * enables parallel building (Closes: #821277)

 -- Hubert Chathi <uhoreg@debian.org>  Fri, 13 May 2016 09:11:42 -0400

ufraw (0.20-4.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS on kfreebsd-amd64 -- the compiler -ffast-math
   and -fomit-frame-pointer are causing this. (Closes: #821789)
  * Making build verbose (Closes: #822752). Maybe this gives a hint
    why it fails to build on alpha.

 -- Tobias Frost <tobi@debian.org>  Fri, 06 May 2016 14:21:18 +0200

ufraw (0.20-4) unstable; urgency=high

  * dcraw.cc: Apply fix from
    https://github.com/LibRaw/LibRaw/commit/89d065424f09b788f443734d44857289489ca9e2
    to prevent buffer overflow in smal_decode_segment (Closes: #818882,
    CVE-2015-8366)

 -- Hubert Chathi <uhoreg@debian.org>  Mon, 18 Apr 2016 10:49:31 -0400

ufraw (0.20-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Remove dh_desktop call (NOOP since 2009) to fix the FTBFS seen
    during a binNMU (Closes: #817307)

 -- Tobias Frost <tobi@debian.org>  Sat, 09 Apr 2016 14:25:38 +0200

ufraw (0.20-3) unstable; urgency=low

  * dcraw.cc: Apply patch from
    https://bugzilla.redhat.com/attachment.cgi?id=1027072&action=diff to
    prevent buffer overflow in ljpeg_start (Closes: #786783, CVE-2015-3885)

 -- Hubert Chathi <uhoreg@debian.org>  Tue, 26 May 2015 14:44:00 -0400

ufraw (0.20-2) unstable; urgency=low

  * ufraw-gimp.c: Apply upstream patch: Only use
    gimp_register_magic_load_handler() with Gimp 2.9+.
    http://ufraw.cvs.sourceforge.net/viewvc/ufraw/ufraw/ufraw-gimp.c?r1=1.82&r2=1.83
    (Closes: #772102)

 -- Hubert Chathi <uhoreg@debian.org>  Fri, 05 Dec 2014 10:23:28 -0500

ufraw (0.20-1) unstable; urgency=low

  * New upstream version.
    * Supports Fuji X-Trans filters (closes: #729026)

 -- Hubert Chathi <uhoreg@debian.org>  Tue, 14 Oct 2014 10:27:30 -0400

ufraw (0.19.2-3.1) unstable; urgency=medium

  * Non-maintainer upload (acked by maintainer)
  * Change B-D to libjpeg-dev to finish the transition to libjpeg-turbo
    (Closes: #763496)

 -- Ondřej Surý <ondrej@debian.org>  Mon, 29 Sep 2014 17:07:29 +0200

ufraw (0.19.2-3) unstable; urgency=low

  * debian/rules: run dh-autoreconf to update config.{sub, guess} and
    {libtool, aclocal}.m4  Patch by Breno Leitao. (closes: #756313)
  * debian/copyright: add copyright info and update to GPLv2+
  * debian/control: depend on lcms2
  * Apply patches from upstream CVS for lcms2 support. (closes: #757823)

 -- Hubert Chathi <uhoreg@debian.org>  Thu, 21 Aug 2014 17:55:45 -0400

ufraw (0.19.2-2) unstable; urgency=low

  * debian/control: fix deprecated version dependency format
  * dcraw.cc: data check patch from libraw
    (closes: #721234, CVE-2013-1438)

 -- Hubert Chathi <uhoreg@debian.org>  Sun, 01 Sep 2013 00:19:30 -0400

ufraw (0.19.2-1) unstable; urgency=low

  * New upstream version. (closes: #702148)
    * Fixes liblensfun crash. (closes: #708172)
  * Build with libtiff5.

 -- Hubert Chathi <uhoreg@debian.org>  Tue, 02 Jul 2013 09:12:07 -0400

ufraw (0.18-2) unstable; urgency=low

  * Enable lensfun support. (closes: #556277)
  * Fix syntax error in POD file. (closes: #632444)
  * Build with libjpeg8.

 -- Hubert Chathi <uhoreg@debian.org>  Tue, 19 Jun 2012 10:26:51 -0400

ufraw (0.18-1) unstable; urgency=low

  * New upstream version. (closes: #583879)

 -- Hubert Chathi <uhoreg@debian.org>  Fri, 25 Feb 2011 18:48:44 -0500

ufraw (0.16-3) unstable; urgency=low

  * ufraw-batch: Replaces: ufraw. (closes: #583751)
  * ufraw: Depend on right version of ufraw-batch.

 -- Hubert Chathi <uhoreg@debian.org>  Wed, 02 Jun 2010 07:24:19 -0400

ufraw (0.16-2) unstable; urgency=low

  * Split ufraw-batch from ufraw package, do reduce the default
    install. (closes: #579160)
  * Build with --enable-contrast.  Feature has been present for over a
    year -- surely it's no longer experimental... (closes: #504313)
  * Remove extension from icon, and other minor changes to the desktop
    file.  Thanks to Michal Čihař and Fabian Greffrath. (closes: #553983)

 -- Hubert Chathi <uhoreg@debian.org>  Thu, 27 May 2010 18:59:18 -0400

ufraw (0.16-1) unstable; urgency=low

  * New upstream version. (closes: #551662)
    * Builds against eglibc 2.10. (closes: #549416)
    * Initial implementation of 100% zoom. (closes: #540651)
    * Fix documentation bugs. (closes: #530589, #531567)
    * Fix segfault in nikon-curve. (closes: #533125)
  * Build with better optimization. (closes: 544363)

 -- Hubert Chathi <uhoreg@debian.org>  Sun, 18 Oct 2009 16:32:17 -0400

ufraw (0.15-2) unstable; urgency=low

  * Upload to unstable.

 -- Hubert Chathi <uhoreg@debian.org>  Thu, 16 Apr 2009 21:40:08 -0400

ufraw (0.15-1) experimental; urgency=low

  * New upstream version. (closes: #510483)
    * Canon 450D is supported. (closes: #504539)
    * Includes Canon XSi white balance presets. (closes: #509165)

 -- Hubert Chathi <uhoreg@debian.org>  Sat, 03 Jan 2009 18:42:12 -0500

ufraw (0.14.1-3) experimental; urgency=low

  * Really drop upper limit on gimp dependency. (closes: #504259)
  * Default to using gimp rather than gimp-remote, since gimp 2.4 already
    has the -remote functionality. (closes: 504260)

 -- Hubert Chathi <uhoreg@debian.org>  Sat, 20 Dec 2008 19:24:12 -0500

ufraw (0.14.1-2) experimental; urgency=low

  * Really drop gconf2 dependency. (closes: #456233)
  * Drop upper limit on gimp dependency. (closes: #504259)

 -- Hubert Chathi <uhoreg@debian.org>  Fri, 14 Nov 2008 23:41:35 -0500

ufraw (0.14.1-1) experimental; urgency=low

  * New upstream version. (closes: #502398)
    * ufraw-batch returns non-zero on error. (closes: #478570)
    * updated man page. (closes: #478582)
    * uses newer dcraw. (closes: #499665)
    * not confused any more by hugin TIFFs. (closes: #500457)
  * Drop dependency on gconf2. (closes: #456233)
  * Move homepage to homepage field.
  * Various cleanups to debian/rules clean target.
  * Bump standards version to 3.8.0 (no other changes needed).

 -- Hubert Chathi <uhoreg@debian.org>  Tue, 28 Oct 2008 19:36:35 -0400

ufraw (0.13-1) unstable; urgency=low

  * New upstream version. (closes: #451084)

 -- Hubert Chathi <uhoreg@debian.org>  Tue, 11 Dec 2007 13:02:32 -0500

ufraw (0.12.1-1) unstable; urgency=low

  * New upstream version. (closes: #436179)
    * add build-depends on zlib, libbz2, and libgtkimageview
  * Update dependency -- works with gimp 2.4. (closes: #440477)
  * Add fix for newer libgtkimageview. (upstream bug #1785426)

 -- Hubert Chan <uhoreg@debian.org>  Thu, 13 Sep 2007 03:45:36 -0400

ufraw (0.11-2) unstable; urgency=low

  * Use pkg-config instead of exiv2-config. (closes: #427385)
  * Update to latest exiv2.

 -- Hubert Chan <uhoreg@debian.org>  Tue, 19 Jun 2007 21:09:48 -0400

ufraw (0.11-1) unstable; urgency=low

  * New upstream release.
  * Use upstream's install process to properly install everything.

 -- Hubert Chan <uhoreg@debian.org>  Wed,  4 Apr 2007 13:06:52 -0400

ufraw (0.10-1) unstable; urgency=low

  * New upstream release.
  * Update maintainer address.
  * Install mime info.

 -- Hubert Chan <uhoreg@debian.org>  Sun, 29 Oct 2006 15:16:29 -0500

ufraw (0.9.1-2) unstable; urgency=low

  * Rebuild against new libexiv2.
    - libexiv2 package is now properly versioned. (closes: #387348)

 -- Hubert Chan <hubert@uhoreg.ca>  Tue, 26 Sep 2006 01:43:08 -0400

ufraw (0.9.1-1) unstable; urgency=low

  * New upstream release.
  * Compile nikon-curve.

 -- Hubert Chan <hubert@uhoreg.ca>  Wed, 16 Aug 2006 21:16:11 -0600

ufraw (0.9-1) unstable; urgency=low

  * New upstream release.

 -- Hubert Chan <hubert@uhoreg.ca>  Fri,  4 Aug 2006 13:20:07 -0400

ufraw (0.8.1-2) unstable; urgency=low

  * Rebuild against new libexiv2.
  * Register .desktop file.

 -- Hubert Chan <hubert@uhoreg.ca>  Wed, 21 Jun 2006 15:34:52 -0400

ufraw (0.8.1-1) unstable; urgency=low

  * New upstream release. (closes: #361009)
    - no longer use -mcpu=powerpc flag (closes: #361060)
  * New maintainer.  (Thanks to Matthias for his maintainership.)
  * Remove unneeded -fno-loop-optimize flag on powerpc, since default compiler
    is now GCC 4.
  * Build-depend on libexiv-dev, and configure with --with-exiv2.
    (closes: #341471)
    - drop build-depend on libexif, because it seems to be buggy.
  * Build-depend on Perl, to build manpage.
  * Complete copyright information.
  * Bump standards version to 3.7.2. (no changes)
  * Bump debhelper compatibility level to 5.
  * Install readme files in all packages.
  * Change package description as per upstream's request.

 -- Hubert Chan <hubert@uhoreg.ca>  Wed, 14 Jun 2006 00:19:48 -0400

ufraw (0.5+cvs20051021-1) unstable; urgency=medium

  * Merge with current Upstream.
  * Fix for interpolation errors (black pixels).

 -- Matthias Urlichs <smurf@debian.org>  Tue, 25 Oct 2005 22:15:50 +0200

ufraw (0.5+cvs20051013-1) unstable; urgency=low

  * Updated to current CVS, including dcraw 7.77 and new interpolation
    algorithm.

 -- Matthias Urlichs <smurf@debian.org>  Tue, 18 Oct 2005 09:35:43 +0200

ufraw (0.4+cvs20050818-1) unstable; urgency=low

  * Updated to current CVS, including dcraw 7.50.

 -- Matthias Urlichs <smurf@debian.org>  Fri, 19 Aug 2005 11:04:04 +0200

ufraw (0.4+cvs20050714-2) unstable; urgency=low

  * Add standalone version.
    - Depend on current libexif.

 -- Matthias Urlichs <smurf@debian.org>  Fri, 19 Aug 2005 10:17:15 +0200

ufraw (0.4+cvs20050714-1) unstable; urgency=low

  * Import Upstream CVS.
    - Various UTF-8 fixes.

 -- Matthias Urlichs <smurf@debian.org>  Thu, 14 Jul 2005 23:18:35 +0200

ufraw (0.4-1) unstable; urgency=low

  * New Upstream version.
    - Closes:#294195

 -- Matthias Urlichs <smurf@debian.org>  Sun, 13 Feb 2005 16:33:49 +0100

ufraw (0.2-3) unstable; urgency=low

  * Conflicts: with gimp-dcraw for usability reasons.

 -- Matthias Urlichs <smurf@debian.org>  Sun, 16 Jan 2005 13:41:56 +0100

ufraw (0.2-2) unstable; urgency=low

  * Rebuild against gimp-2.2.

 -- Matthias Urlichs <smurf@debian.org>  Wed, 22 Dec 2004 09:14:48 +0100

ufraw (0.2-1) unstable; urgency=low

  * Initial Release.
    Closes:#283385
  * updated to latest dcraw version

 -- Matthias Urlichs <smurf@debian.org>  Sun, 28 Nov 2004 17:27:03 +0100


